DMA_BUF_KMAP(9)

NAME
dma_buf_kmap - Map a page of the buffer object into kernel address space. The same restrictions as for kmap and friends apply.

SYNOPSIS

void * dma_buf_kmap(struct dma_buf * dmabuf, unsigned long page_num);

ARGUMENTS

dmabuf
    [in] buffer to map page from.

page_num
    [in] page in PAGE_SIZE units to map.

DESCRIPTION

This call must always succeed, any necessary preparations that might fail need to be done in begin_cpu_access.

COPYRIGHT